Create a new collection
curl --request POST \
--url https://api.fourthwall.com/open-api/v1.0/collections \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"name": "My collection",
"description": "My collection description",
"offerIds": [
"3c90c3cc-0d44-4b50-8888-8dd25736052a"
]
}
'import requests
url = "https://api.fourthwall.com/open-api/v1.0/collections"
payload = {
"name": "My collection",
"description": "My collection description",
"offerIds": ["3c90c3cc-0d44-4b50-8888-8dd25736052a"]
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
name: 'My collection',
description: 'My collection description',
offerIds: ['3c90c3cc-0d44-4b50-8888-8dd25736052a']
})
};
fetch('https://api.fourthwall.com/open-api/v1.0/collections', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "col_b1EVARkUTcCTSfspQaXr1Q",
"shopId": "sh_c689d374-22ca-43d3-8d29-9ef0805cc4cb",
"name": "My collection",
"slug": "my-collection",
"description": "My collection description",
"available": true,
"state": {
"available": true,
"type": "<string>"
},
"offerIds": [
"3c90c3cc-0d44-4b50-8888-8dd25736052a"
]
}Collections
Create a new collection
Rate limit: 100 requests / 10 seconds per shop. See Rate limiting.
Creates a new collection with name, description, and optional product list
POST
/
open-api
/
v1.0
/
collections
Create a new collection
OAuth scope:
offer_writeAPI keys have full access to this endpoint.Authorizations
oauthbasicAuth
The access token received from the authorization server in the OAuth 2.0 flow.
Body
application/json
Response
OK
Example:
"col_b1EVARkUTcCTSfspQaXr1Q"
Example:
"sh_c689d374-22ca-43d3-8d29-9ef0805cc4cb"
Example:
"My collection"
Example:
"my-collection"
Example:
"My collection description"
Archived collection state
- Archived
- Archived
- Archived
- Archived
- Hidden
- Private
- Public
Show child attributes
Show child attributes
⌘I